Index: modules/dnet-parthenos/trunk/src/main/resources/eu/dnetlib/bootstrap/profiles/TransformationRuleDSResources/TransformationRuleDSResourceType/metashare_439_mapping.xml
===================================================================
--- modules/dnet-parthenos/trunk/src/main/resources/eu/dnetlib/bootstrap/profiles/TransformationRuleDSResources/TransformationRuleDSResourceType/metashare_439_mapping.xml	(revision 54679)
+++ modules/dnet-parthenos/trunk/src/main/resources/eu/dnetlib/bootstrap/profiles/TransformationRuleDSResources/TransformationRuleDSResourceType/metashare_439_mapping.xml	(revision 54680)
@@ -10,7 +10,7 @@
 		<CONFIGURATION>
 			<IMPORTED/>
 			<SCRIPT>
-				<TITLE>METASHARE 439 Mapping 2018-10-23</TITLE>
+				<TITLE>METASHARE 439 Mapping 2019-01-08</TITLE>
 				<CODE>
 					<![CDATA[<x3ml xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" editor="3MEditor v3.3" source_type="xpath" version="1.0" xsi:noNamespaceSchemaLocation="x3ml_v1.0.xsd">
     <info>
Index: modules/dnet-parthenos/trunk/src/main/resources/eu/dnetlib/bootstrap/profiles/TransformationRuleDSResources/TransformationRuleDSResourceType/parthenos_toplevel_mapping.xml
===================================================================
--- modules/dnet-parthenos/trunk/src/main/resources/eu/dnetlib/bootstrap/profiles/TransformationRuleDSResources/TransformationRuleDSResourceType/parthenos_toplevel_mapping.xml	(revision 54679)
+++ modules/dnet-parthenos/trunk/src/main/resources/eu/dnetlib/bootstrap/profiles/TransformationRuleDSResources/TransformationRuleDSResourceType/parthenos_toplevel_mapping.xml	(revision 54680)
@@ -10,7 +10,7 @@
 		<CONFIGURATION>
 			<IMPORTED/>
 			<SCRIPT>
-				<TITLE>Parthenos Reg Top Level 467 Mapping 2018-11-06</TITLE>
+				<TITLE>Parthenos Reg Top Level 467 Mapping 2019-01-18</TITLE>
 				<CODE><![CDATA[<x3ml xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" editor="3MEditor v3.3" source_type="xpath" version="1.0" xsi:noNamespaceSchemaLocation="file:///C:/Users/samarita/Desktop/schema/x3ml.xsd">
     <info>
         <title>Parthenos Register Top Level -&gt; PE Mapping File Official</title>
Index: modules/dnet-parthenos/trunk/src/main/resources/eu/dnetlib/bootstrap/profiles/TransformationRuleDSResources/TransformationRuleDSResourceType/isidore_398_item_mapping.xml
===================================================================
--- modules/dnet-parthenos/trunk/src/main/resources/eu/dnetlib/bootstrap/profiles/TransformationRuleDSResources/TransformationRuleDSResourceType/isidore_398_item_mapping.xml	(revision 54679)
+++ modules/dnet-parthenos/trunk/src/main/resources/eu/dnetlib/bootstrap/profiles/TransformationRuleDSResources/TransformationRuleDSResourceType/isidore_398_item_mapping.xml	(revision 54680)
@@ -10,11 +10,11 @@
 		<CONFIGURATION>
 			<IMPORTED/>
 			<SCRIPT>
-				<TITLE>ISIDORE ITEM 398 Mapping 2018-10-26 (removed /response/replies/content)</TITLE>
+				<TITLE>ISIDORE ITEM 398 Mapping 2019-01-08 (removed /response/replies/content)</TITLE>
 			<CODE>
-				<![CDATA[<x3ml xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" editor="3MEditor v3.3" source_type="xpath" version="1.0" xsi:noNamespaceSchemaLocation="file:///C:/Users/samarita/Desktop/schema/x3ml.xsd">
+				<![CDATA[<?xml version="1.0" encoding="UTF-8"?><!--x3ml file generated by 3M version 3.0 (http://www.ics.forth.gr/isl/3M)--><x3ml xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" editor="3MEditor v3.3" source_type="xpath" version="1.0" xsi:noNamespaceSchemaLocation="file:///C:/Users/samarita/Desktop/schema/x3ml.xsd">
     <info>
-        <title>ISIDORE Resource level</title>
+        <title>ISIDORE Item level - PE Mapping File Official</title>
         <general_description/>
         <source>
             <source_info>
@@ -2802,7 +2802,7 @@
             </link>
         </mapping>
     </mappings>
-
+    
 </x3ml>
 				]]>
 			</CODE>
Index: modules/dnet-parthenos/trunk/src/main/resources/eu/dnetlib/bootstrap/profiles/TransformationRuleDSResources/TransformationRuleDSResourceType/nakala_433_mapping.xml
===================================================================
--- modules/dnet-parthenos/trunk/src/main/resources/eu/dnetlib/bootstrap/profiles/TransformationRuleDSResources/TransformationRuleDSResourceType/nakala_433_mapping.xml	(revision 54679)
+++ modules/dnet-parthenos/trunk/src/main/resources/eu/dnetlib/bootstrap/profiles/TransformationRuleDSResources/TransformationRuleDSResourceType/nakala_433_mapping.xml	(revision 54680)
@@ -10,11 +10,11 @@
 		<CONFIGURATION>
 			<IMPORTED/>
 			<SCRIPT>
-				<TITLE>NAKALA 433 Mapping 2018-10-24</TITLE>
+				<TITLE>NAKALA 433 Mapping 2019-01-03</TITLE>
 				<CODE>
 					<![CDATA[<x3ml xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" editor="3MEditor v3.3" source_type="xpath" version="1.0" xsi:noNamespaceSchemaLocation="file:///C:/Users/samarita/Desktop/schema/x3ml.xsd">
     <info>
-        <title>Nakala -&gt; PE Mapping File Official</title>
+        <title>Nakala -&gt; PE</title>
         <general_description/>
         <source>
             <source_info>
@@ -240,7 +240,12 @@
                     <target_node>
                         <entity variable="medat">
                             <type>crmpe:PE29_Access_Point</type>
-                            <instance_generator name="UUID"/>
+                            <instance_generator name="URIorUUID">
+                                <arg name="text" type="xpath">text()</arg>
+                            </instance_generator>
+                            <label_generator name="SimpleLabel">
+                                <arg name="label" type="xpath">text()</arg>
+                            </label_generator>
                         </entity>
                     </target_node>
                 </range>
@@ -283,7 +288,12 @@
                     <target_node>
                         <entity variable="medat">
                             <type>crmpe:PE29_Access_Point</type>
-                            <instance_generator name="UUID"/>
+                            <instance_generator name="URIorUUID">
+                                <arg name="text" type="xpath">text()</arg>
+                            </instance_generator>
+                            <label_generator name="SimpleLabel">
+                                <arg name="label" type="xpath">text()</arg>
+                            </label_generator>
                         </entity>
                     </target_node>
                 </range>
Index: modules/dnet-parthenos/trunk/src/main/resources/eu/dnetlib/bootstrap/profiles/TransformationRuleDSResources/TransformationRuleDSResourceType/lre_447_mapping.xml
===================================================================
--- modules/dnet-parthenos/trunk/src/main/resources/eu/dnetlib/bootstrap/profiles/TransformationRuleDSResources/TransformationRuleDSResourceType/lre_447_mapping.xml	(revision 54679)
+++ modules/dnet-parthenos/trunk/src/main/resources/eu/dnetlib/bootstrap/profiles/TransformationRuleDSResources/TransformationRuleDSResourceType/lre_447_mapping.xml	(revision 54680)
@@ -10,7 +10,7 @@
         <CONFIGURATION>
             <IMPORTED/>
             <SCRIPT>
-                <TITLE>LRE mapping 447 2018-10-23 (removed /lremap from xpaths)</TITLE>
+                <TITLE>LRE mapping 447 2019-01-08 (removed /lremap from xpaths)</TITLE>
               <CODE>
                   <![CDATA[
                   <x3ml xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" editor="3MEditor v3.3" source_type="xpath" version="1.0" xsi:noNamespaceSchemaLocation="x3ml_v1.3.xsd">
@@ -604,7 +604,7 @@
             </link>
         </mapping>
     </mappings>
-
+    
 </x3ml>
                   ]]>
               </CODE>
Index: modules/dnet-parthenos/trunk/src/main/resources/eu/dnetlib/bootstrap/profiles/TransformationRuleDSResources/TransformationRuleDSResourceType/parthenos_wp3.xml
===================================================================
--- modules/dnet-parthenos/trunk/src/main/resources/eu/dnetlib/bootstrap/profiles/TransformationRuleDSResources/TransformationRuleDSResourceType/parthenos_wp3.xml	(revision 54679)
+++ modules/dnet-parthenos/trunk/src/main/resources/eu/dnetlib/bootstrap/profiles/TransformationRuleDSResources/TransformationRuleDSResourceType/parthenos_wp3.xml	(revision 54680)
@@ -10,10 +10,9 @@
 		<CONFIGURATION>
 			<IMPORTED/>
 			<SCRIPT>
-				<TITLE>WP3 Policy Wizard 335 2018-10-23</TITLE>
+				<TITLE>WP3 Policy Wizard 335 2019-01-29</TITLE>
 				<CODE>
-					<![CDATA[
-					<x3ml xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" editor="3MEditor v3.3" source_type="xpath" version="1.0" xsi:noNamespaceSchemaLocation="x3ml_v1.0.xsd">
+					<![CDATA[<x3ml xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" editor="3MEditor v3.3" source_type="xpath" version="1.0" xsi:noNamespaceSchemaLocation="x3ml_v1.0.xsd">
     <info>
         <title>WP3 Policy Wizard -&gt; PE Mapping File Official</title>
         <general_description/>
@@ -68,7 +67,7 @@
         </example_data_info>
     </info>
     <namespaces>
-        <namespace prefix="parthenos" uri="http://parthenos.d4science.org/handle/PAR/WP8Contacts/"/>
+        <namespace prefix="parthenos" uri="http://parthenos.d4science.org/handle/Parthenos/REG/"/>
         <namespace prefix="reg" uri="http://parthenos.d4science.org/handle/Parthenos/REG/"/>
     </namespaces>
     <mappings>
@@ -1974,8 +1973,7 @@
         </mapping>
     </mappings>
 
-</x3ml>
-					]]>
+</x3ml>					]]>
 				</CODE>
 			</SCRIPT>
 		</CONFIGURATION>
@@ -1982,4 +1980,4 @@
 		<STATUS/>
 		<SECURITY_PARAMETERS/>
 	</BODY>
-</RESOURCE_PROFILE>
+</RESOURCE_PROFILE>
\ No newline at end of file
Index: modules/dnet-parthenos/trunk/src/main/resources/eu/dnetlib/bootstrap/profiles/TransformationRuleDSResources/TransformationRuleDSResourceType/cendari_manuscripts_485.xml
===================================================================
--- modules/dnet-parthenos/trunk/src/main/resources/eu/dnetlib/bootstrap/profiles/TransformationRuleDSResources/TransformationRuleDSResourceType/cendari_manuscripts_485.xml	(revision 54679)
+++ modules/dnet-parthenos/trunk/src/main/resources/eu/dnetlib/bootstrap/profiles/TransformationRuleDSResources/TransformationRuleDSResourceType/cendari_manuscripts_485.xml	(revision 54680)
@@ -10,11 +10,11 @@
 		<CONFIGURATION>
 			<IMPORTED/>
 			<SCRIPT>
-				<TITLE>CENDARI - MANUSCRIPTS (485) 2018-10-17</TITLE>
+				<TITLE>CENDARI - MANUSCRIPTS (485) 2019-01-29</TITLE>
 				<CODE> <![CDATA[
 				<x3ml xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" editor="3MEditor v3.3" source_type="xpath" version="1.0" xsi:noNamespaceSchemaLocation="x3ml_v1.3.xsd">
     <info>
-        <title>CENDARI - MANUSCRIPTS</title>
+        <title>Cendari Manuscripts -&gt; CIDOC CRM Official</title>
         <general_description>Medieval Manuscript data collection</general_description>
         <source>
             <source_info>
@@ -61,7 +61,7 @@
         </example_data_info>
     </info>
     <namespaces>
-        <namespace prefix="parthenos" uri="http://parthenos.d4science.org/handle/cendari/"/>
+        <namespace prefix="parthenos" uri="http://parthenos.d4science.org/handle/Cendari/CendariDB/"/>
         <namespace prefix="reg" uri="http://parthenos.d4science.org/handle/Parthenos/REG/"/>
     </namespaces>
     <mappings>
Index: modules/dnet-parthenos/trunk/src/main/resources/eu/dnetlib/bootstrap/profiles/TransformationRuleDSResources/TransformationRuleDSResourceType/parthenos_wp4.xml
===================================================================
--- modules/dnet-parthenos/trunk/src/main/resources/eu/dnetlib/bootstrap/profiles/TransformationRuleDSResources/TransformationRuleDSResourceType/parthenos_wp4.xml	(revision 54679)
+++ modules/dnet-parthenos/trunk/src/main/resources/eu/dnetlib/bootstrap/profiles/TransformationRuleDSResources/TransformationRuleDSResourceType/parthenos_wp4.xml	(revision 54680)
@@ -10,12 +10,12 @@
 		<CONFIGURATION>
 			<IMPORTED/>
 			<SCRIPT>
-				<TITLE>WP4 SSK Solr Data on Standards 449 2018-10-23</TITLE>
+				<TITLE>WP4 SSK Solr Data on Standards 449 2019-01-16</TITLE>
 				<CODE>
 					<![CDATA[
 					<x3ml xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" editor="3MEditor v3.3" source_type="xpath" version="1.0" xsi:noNamespaceSchemaLocation="x3ml_v1.3.xsd">
     <info>
-        <title>WP4 SSK Solr Data on Standards to CIDOC-CRM</title>
+        <title>WP4 Standards List -&gt; PE Mapping File Official</title>
         <general_description>CIDOC Mapping of Standard Information used to feed the relative SSK section. </general_description>
         <source>
             <source_info>
@@ -56,7 +56,7 @@
         </example_data_info>
     </info>
     <namespaces>
-        <namespace prefix="parthenos" uri="http://parthenos.d4science.org/handle/Parthenos/WP4Standards/"/>
+        <namespace prefix="parthenos" uri="http://parthenos.d4science.org/handle/Parthenos/REG/"/>
         <namespace prefix="reg" uri="http://parthenos.d4science.org/handle/Parthenos/REG/"/>
     </namespaces>
     <mappings>
Index: modules/dnet-parthenos/trunk/src/main/resources/eu/dnetlib/bootstrap/profiles/TransformationRuleDSResources/TransformationRuleDSResourceType/ehri_328_mapping.xml
===================================================================
--- modules/dnet-parthenos/trunk/src/main/resources/eu/dnetlib/bootstrap/profiles/TransformationRuleDSResources/TransformationRuleDSResourceType/ehri_328_mapping.xml	(revision 54679)
+++ modules/dnet-parthenos/trunk/src/main/resources/eu/dnetlib/bootstrap/profiles/TransformationRuleDSResources/TransformationRuleDSResourceType/ehri_328_mapping.xml	(revision 54680)
@@ -10,7 +10,7 @@
 		<CONFIGURATION>
 			<IMPORTED/>
 			<SCRIPT>
-				<TITLE>EHRI 328 Mapping 2018-10-23</TITLE>
+				<TITLE>EHRI 328 Mapping 2019-01-16</TITLE>
 				<CODE><![CDATA[<x3ml xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" editor="3MEditor v3.3" source_type="xpath" version="1.0" xsi:noNamespaceSchemaLocation="x3ml_v1.0.xsd">
     <info>
         <title>EHRI  -&gt; PE  Mapping File Official</title>
Index: modules/dnet-parthenos/trunk/src/main/resources/eu/dnetlib/bootstrap/profiles/TransformationRuleDSResources/TransformationRuleDSResourceType/cendari_texts_487.xml
===================================================================
--- modules/dnet-parthenos/trunk/src/main/resources/eu/dnetlib/bootstrap/profiles/TransformationRuleDSResources/TransformationRuleDSResourceType/cendari_texts_487.xml	(revision 54679)
+++ modules/dnet-parthenos/trunk/src/main/resources/eu/dnetlib/bootstrap/profiles/TransformationRuleDSResources/TransformationRuleDSResourceType/cendari_texts_487.xml	(revision 54680)
@@ -10,11 +10,11 @@
 		<CONFIGURATION>
 			<IMPORTED/>
 			<SCRIPT>
-				<TITLE>CENDARI - TEXTS (487) 2018-10-23</TITLE>
+				<TITLE>CENDARI - TEXTS (487) 2019-01-29</TITLE>
 				<CODE><![CDATA[
-				<x3ml xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" editor="3MEditor v3.3" source_type="xpath" version="1.0" xsi:noNamespaceSchemaLocation="x3ml_v1.3.xsd">
+<x3ml xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" editor="3MEditor v3.3" source_type="xpath" version="1.0" xsi:noNamespaceSchemaLocation="x3ml_v1.3.xsd">
     <info>
-        <title>CENDARI - TEXTS</title>
+        <title>Cendari Texts -&gt; CIDOC CRM Official</title>
         <general_description>Medieval Texts data collection</general_description>
         <source>
             <source_info>
@@ -55,7 +55,7 @@
         </example_data_info>
     </info>
     <namespaces>
-        <namespace prefix="parthenos" uri="http://parthenos.d4science.org/handle/cendari/"/>
+        <namespace prefix="parthenos" uri="http://parthenos.d4science.org/handle/Cendari/CendariDB/"/>
         <namespace prefix="reg" uri="http://parthenos.d4science.org/handle/Parthenos/REG/"/>
     </namespaces>
     <mappings>
Index: modules/dnet-parthenos/trunk/src/main/resources/eu/dnetlib/bootstrap/profiles/TransformationRuleDSResources/TransformationRuleDSResourceType/isidore_432_mapping.xml
===================================================================
--- modules/dnet-parthenos/trunk/src/main/resources/eu/dnetlib/bootstrap/profiles/TransformationRuleDSResources/TransformationRuleDSResourceType/isidore_432_mapping.xml	(revision 54679)
+++ modules/dnet-parthenos/trunk/src/main/resources/eu/dnetlib/bootstrap/profiles/TransformationRuleDSResources/TransformationRuleDSResourceType/isidore_432_mapping.xml	(revision 54680)
@@ -10,12 +10,12 @@
 		<CONFIGURATION>
 			<IMPORTED/>
 			<SCRIPT>
-				<TITLE>ISIDORE 432 Mapping 2018-10-23</TITLE>
+				<TITLE>ISIDORE 432 Mapping 2019-01-08</TITLE>
 			<CODE>
 				<![CDATA[
 				<x3ml xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" editor="3MEditor v3.3" source_type="xpath" version="1.0" xsi:noNamespaceSchemaLocation="file:///C:/Users/samarita/Desktop/schema/x3ml.xsd">
     <info>
-        <title>Isidore -&gt; PE Mapping File Official</title>
+        <title>Isidore Collection Level -&gt; PE Mapping File Official</title>
         <general_description/>
         <source>
             <source_info>
Index: modules/dnet-parthenos/trunk/src/main/resources/eu/dnetlib/bootstrap/profiles/TransformationRuleDSResources/TransformationRuleDSResourceType/parthenos_wp8.xml
===================================================================
--- modules/dnet-parthenos/trunk/src/main/resources/eu/dnetlib/bootstrap/profiles/TransformationRuleDSResources/TransformationRuleDSResourceType/parthenos_wp8.xml	(revision 54679)
+++ modules/dnet-parthenos/trunk/src/main/resources/eu/dnetlib/bootstrap/profiles/TransformationRuleDSResources/TransformationRuleDSResourceType/parthenos_wp8.xml	(revision 54680)
@@ -10,10 +10,9 @@
         <CONFIGURATION>
             <IMPORTED/>
             <SCRIPT>
-                <TITLE>WP8 International Contacts (464) 2018-11-06</TITLE>
+                <TITLE>WP8 International Contacts (464) 2019-01-29</TITLE>
                 <CODE>
-                    <![CDATA[
-                    <x3ml xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" editor="3MEditor v3.3" source_type="xpath" version="1.0" xsi:noNamespaceSchemaLocation="x3ml_v1.3.xsd">
+                    <![CDATA[<x3ml xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" editor="3MEditor v3.3" source_type="xpath" version="1.0" xsi:noNamespaceSchemaLocation="x3ml_v1.3.xsd">
     <info>
         <title>WP8 International Contacts -&gt; PE Mapping File Official</title>
         <general_description/>
@@ -1809,7 +1808,7 @@
     </mappings>
 
 </x3ml>
-                    ]]>
+]]>
                 </CODE>
             </SCRIPT>
         </CONFIGURATION>
@@ -1816,4 +1815,4 @@
         <STATUS/>
         <SECURITY_PARAMETERS/>
     </BODY>
-</RESOURCE_PROFILE>
+</RESOURCE_PROFILE>
\ No newline at end of file
Index: modules/dnet-parthenos/trunk/src/main/resources/eu/dnetlib/bootstrap/profiles/TransformationRuleDSResources/TransformationRuleDSResourceType/culturaitalia_musei-actors_416_mapping.xml
===================================================================
--- modules/dnet-parthenos/trunk/src/main/resources/eu/dnetlib/bootstrap/profiles/TransformationRuleDSResources/TransformationRuleDSResourceType/culturaitalia_musei-actors_416_mapping.xml	(revision 54679)
+++ modules/dnet-parthenos/trunk/src/main/resources/eu/dnetlib/bootstrap/profiles/TransformationRuleDSResources/TransformationRuleDSResourceType/culturaitalia_musei-actors_416_mapping.xml	(revision 54680)
@@ -10,9 +10,9 @@
 		<CONFIGURATION>
 			<IMPORTED/>
 			<SCRIPT>
-				<TITLE>Cultura Italia Musei Actor 416 Mapping 2018-10-23</TITLE>
+				<TITLE>Cultura Italia Musei Actor 416 Mapping 2019-01-23</TITLE>
 				<CODE><![CDATA[
-				<x3ml xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" editor="3MEditor v3.3" source_type="xpath" version="1.0" xsi:noNamespaceSchemaLocation="x3ml_v1.0.xsd">
+<x3ml xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" editor="3MEditor v3.3" source_type="xpath" version="1.0" xsi:noNamespaceSchemaLocation="x3ml_v1.0.xsd">
     <info>
         <title>CulturaItalia People -&gt; PE Mapping File Official</title>
         <general_description/>
@@ -82,7 +82,7 @@
         <namespace prefix="mix" uri="http://www.loc.gov/mix/v20"/>
         <namespace prefix="premis" uri="info:lc/xmlns/premis-v2"/>
         <namespace prefix="xlink" uri="http://www.w3.org/1999/xlink"/>
-        <namespace prefix="parthenos" uri="http://parthenos.d4science.org/handle/Culturalitalia/unknown/"/>
+        <namespace prefix="parthenos" uri="http://parthenos.d4science.org/handle/Culturalitalia/ICCUCI/"/>
         <namespace prefix="xsi" uri="http://www.w3.org/2001/XMLSchema-instance"/>
         <namespace prefix="reg" uri="http://parthenos.d4science.org/handle/Parthenos/REG/"/>
         <namespace prefix="oai" uri="http://www.openarchives.org/OAI/2.0/"/>
Index: modules/dnet-parthenos/trunk/src/main/resources/eu/dnetlib/bootstrap/profiles/TransformationRuleDSResources/TransformationRuleDSResourceType/nakala_520_3D.xml
===================================================================
--- modules/dnet-parthenos/trunk/src/main/resources/eu/dnetlib/bootstrap/profiles/TransformationRuleDSResources/TransformationRuleDSResourceType/nakala_520_3D.xml	(revision 54679)
+++ modules/dnet-parthenos/trunk/src/main/resources/eu/dnetlib/bootstrap/profiles/TransformationRuleDSResources/TransformationRuleDSResourceType/nakala_520_3D.xml	(revision 54680)
@@ -10,12 +10,11 @@
 		<CONFIGURATION>
 			<IMPORTED/>
 			<SCRIPT>
-				<TITLE>NAKALA 520 Consortium 3D 2018-10-24</TITLE>
+				<TITLE>NAKALA 520 Consortium 3D 2019-01-03</TITLE>
 				<CODE>
-					<![CDATA[
-<x3ml xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" editor="3MEditor v3.3" source_type="xpath" version="1.0" xsi:noNamespaceSchemaLocation="x3ml_v1.4.xsd">
+					<![CDATA[<x3ml xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" editor="3MEditor v3.3" source_type="xpath" version="1.0" xsi:noNamespaceSchemaLocation="x3ml_v1.4.xsd">
     <info>
-        <title>NAKALA Item level</title>
+        <title>NAKALA Item level Consortium 3D</title>
         <general_description/>
         <source>
             <source_info>
Index: modules/dnet-parthenos/trunk/src/main/resources/eu/dnetlib/bootstrap/profiles/TransformationRuleDSResources/TransformationRuleDSResourceType/dariah-GR_435_mapping.xml
===================================================================
--- modules/dnet-parthenos/trunk/src/main/resources/eu/dnetlib/bootstrap/profiles/TransformationRuleDSResources/TransformationRuleDSResourceType/dariah-GR_435_mapping.xml	(revision 54679)
+++ modules/dnet-parthenos/trunk/src/main/resources/eu/dnetlib/bootstrap/profiles/TransformationRuleDSResources/TransformationRuleDSResourceType/dariah-GR_435_mapping.xml	(revision 54680)
@@ -10,7 +10,7 @@
 		<CONFIGURATION>
 			<IMPORTED/>
 			<SCRIPT>
-				<TITLE>DARIAH-GR 435 Mapping 2018-10-23</TITLE>
+				<TITLE>DARIAH-GR 435 Mapping 2019-01-16</TITLE>
 				<CODE>
 					<![CDATA[
 					<x3ml xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" editor="3MEditor v3.3" source_type="xpath" version="1.0" xsi:noNamespaceSchemaLocation="x3ml_v1.0.xsd">
Index: modules/dnet-parthenos/trunk/src/main/resources/eu/dnetlib/bootstrap/profiles/TransformationRuleDSResources/TransformationRuleDSResourceType/culturaitalia_musei_312_mapping.xml
===================================================================
--- modules/dnet-parthenos/trunk/src/main/resources/eu/dnetlib/bootstrap/profiles/TransformationRuleDSResources/TransformationRuleDSResourceType/culturaitalia_musei_312_mapping.xml	(revision 54679)
+++ modules/dnet-parthenos/trunk/src/main/resources/eu/dnetlib/bootstrap/profiles/TransformationRuleDSResources/TransformationRuleDSResourceType/culturaitalia_musei_312_mapping.xml	(revision 54680)
@@ -10,7 +10,7 @@
 		<CONFIGURATION>
 			<IMPORTED/>
 			<SCRIPT>
-				<TITLE>Cultura Italia 312 Musei Mapping - 2018-10-23</TITLE>
+				<TITLE>Cultura Italia 312 Musei Mapping - 2019-01-29</TITLE>
 				<CODE>
 					<![CDATA[
 <x3ml xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" editor="3MEditor v3.3" source_type="xpath" version="1.0" xsi:noNamespaceSchemaLocation="x3ml_v1.0.xsd">
@@ -83,7 +83,7 @@
         <namespace prefix="mix" uri="http://www.loc.gov/mix/v20"/>
         <namespace prefix="premis" uri="info:lc/xmlns/premis-v2"/>
         <namespace prefix="xlink" uri="http://www.w3.org/1999/xlink"/>
-        <namespace prefix="parthenos" uri="http://parthenos.d4science.org/handle/Culturaitalia/MUSEID/"/>
+        <namespace prefix="parthenos" uri="http://parthenos.d4science.org/handle/Culturaitalia/ICCUMDI/"/>
         <namespace prefix="xsi" uri="http://www.w3.org/2001/XMLSchema-instance"/>
         <namespace prefix="reg" uri="http://parthenos.d4science.org/handle/Parthenos/REG/"/>
         <namespace prefix="oai" uri="http://www.openarchives.org/OAI/2.0/"/>
Index: modules/dnet-parthenos/trunk/src/main/resources/eu/dnetlib/bootstrap/profiles/TransformationRuleDSResources/TransformationRuleDSResourceType/nakala_517_karnak.xml
===================================================================
--- modules/dnet-parthenos/trunk/src/main/resources/eu/dnetlib/bootstrap/profiles/TransformationRuleDSResources/TransformationRuleDSResourceType/nakala_517_karnak.xml	(revision 54679)
+++ modules/dnet-parthenos/trunk/src/main/resources/eu/dnetlib/bootstrap/profiles/TransformationRuleDSResources/TransformationRuleDSResourceType/nakala_517_karnak.xml	(revision 54680)
@@ -10,10 +10,9 @@
 		<CONFIGURATION>
 			<IMPORTED/>
 			<SCRIPT>
-				<TITLE>NAKALA 517 Karnak 2018-10-24</TITLE>
+				<TITLE>NAKALA 517 Karnak 2019-01-08</TITLE>
 				<CODE>
-					<![CDATA[
-<x3ml xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" editor="3MEditor v3.3" source_type="xpath" version="1.0" xsi:noNamespaceSchemaLocation="x3ml_v1.4.xsd">
+					<![CDATA[<x3ml xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" editor="3MEditor v3.3" source_type="xpath" version="1.0" xsi:noNamespaceSchemaLocation="x3ml_v1.4.xsd">
     <info>
         <title>NAKALA Item level - Karnak</title>
         <general_description/>
Index: modules/dnet-parthenos/trunk/src/main/resources/eu/dnetlib/bootstrap/profiles/TransformationRuleDSResources/TransformationRuleDSResourceType/cendari_authors_486.xml
===================================================================
--- modules/dnet-parthenos/trunk/src/main/resources/eu/dnetlib/bootstrap/profiles/TransformationRuleDSResources/TransformationRuleDSResourceType/cendari_authors_486.xml	(revision 54679)
+++ modules/dnet-parthenos/trunk/src/main/resources/eu/dnetlib/bootstrap/profiles/TransformationRuleDSResources/TransformationRuleDSResourceType/cendari_authors_486.xml	(revision 54680)
@@ -10,12 +10,12 @@
 		<CONFIGURATION>
 			<IMPORTED/>
 			<SCRIPT>
-				<TITLE>CENDARI - AUTHORS (486) 2018-11-06</TITLE>
+				<TITLE>CENDARI - AUTHORS (486) 2019-01-29</TITLE>
 				<CODE>
 					<![CDATA[
 					<x3ml xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" editor="3MEditor v3.3" source_type="xpath" version="1.0" xsi:noNamespaceSchemaLocation="x3ml_v1.3.xsd">
     <info>
-        <title>CENDARI - AUTHORS</title>
+        <title>Cendari Authors -&gt; CIDOC CRM Official</title>
         <general_description>Medieval Author data collection</general_description>
         <source>
             <source_info>
@@ -69,7 +69,7 @@
     </info>
     <namespaces>
         <namespace prefix="parthenos" uri="http://parthenos.d4science.org/handle/cendari/"/>
-        <namespace prefix="reg" uri="http://parthenos.d4science.org/handle/Parthenos/REG/"/>
+        <namespace prefix="reg" uri="http://parthenos.d4science.org/handle/Cendari/CendariDB/"/>
     </namespaces>
     <mappings>
         <mapping>
Index: modules/dnet-parthenos/trunk/src/main/resources/eu/dnetlib/bootstrap/profiles/TransformationRuleDSResources/TransformationRuleDSResourceType/ariadne_dataset_444_mapping.xml
===================================================================
--- modules/dnet-parthenos/trunk/src/main/resources/eu/dnetlib/bootstrap/profiles/TransformationRuleDSResources/TransformationRuleDSResourceType/ariadne_dataset_444_mapping.xml	(revision 54679)
+++ modules/dnet-parthenos/trunk/src/main/resources/eu/dnetlib/bootstrap/profiles/TransformationRuleDSResources/TransformationRuleDSResourceType/ariadne_dataset_444_mapping.xml	(revision 54680)
@@ -10,7 +10,7 @@
 		<CONFIGURATION>
 			<IMPORTED/>
 			<SCRIPT>
-				<TITLE>Ariadne 444 Mapping 2018-11-19</TITLE>
+				<TITLE>Ariadne 444 Mapping 2019-01-16</TITLE>
 				<CODE>
 					<![CDATA[
 					<x3ml xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" editor="3MEditor v3.3" source_type="xpath" version="1.0" xsi:noNamespaceSchemaLocation="x3ml_v1.0.xsd">