Index: modules/dnet-isti/trunk/src/main/resources/eu/dnetlib/bootstrap/profiles/MDFormatDSResources/portal_mdformat.xml
===================================================================
--- modules/dnet-isti/trunk/src/main/resources/eu/dnetlib/bootstrap/profiles/MDFormatDSResources/portal_mdformat.xml	(revision 59330)
+++ modules/dnet-isti/trunk/src/main/resources/eu/dnetlib/bootstrap/profiles/MDFormatDSResources/portal_mdformat.xml	(revision 59331)
@@ -1,54 +1,53 @@
 <RESOURCE_PROFILE>
-	<HEADER>
-		<RESOURCE_IDENTIFIER
-				value="98d4c3c4-4274-4250-89b5-434195b20ba8_TURGb3JtYXREU1Jlc291cmNlcy9NREZvcm1hdERTUmVzb3VyY2VUeXBl"/>
-		<RESOURCE_TYPE value="MDFormatDSResourceType"/>
-		<RESOURCE_KIND value="MDFormatDSResources"/>
-		<RESOURCE_URI value=""/>
-		<DATE_OF_CREATION value="2016-02-01T15:51:45+01:00"/>
-	</HEADER>
-	<BODY>
-		<CONFIGURATION>
-			<NAME>PMF</NAME>
-			<DESCRIPTION>ISTI Portal Metadata Format</DESCRIPTION>
-			<INTERPRETATION>isti</INTERPRETATION>
-			<SCHEMA uri=""/>
-		</CONFIGURATION>
-		<STATUS>
-			<LAYOUTS>
-				<LAYOUT name="index">
-					<FIELDS>
-						<FIELD indexable="true" name="objidentifier" result="false" stored="true" stat="false" tokenizable="false" xpath="//dri:objIdentifier" multivalued="false"/>
-						<FIELD indexable="true" multivalued="false" name="code" result="false" stat="false" stored="true" tokenizable="false" xpath="//identifier"/>
-						<FIELD indexable="true" name="creator" result="false" stored="true" stat="false" tokenizable="true" xpath="//creator"/>
-						<FIELD indexable="true" name="cnrcreator" result="false" stored="true" stat="false" tokenizable="true" xpath="//cnrPerson/name"/>
-						<FIELD indexable="true" name="title" result="false" stored="true" stat="false" tokenizable="true" xpath="//title" multivalued="false" />
-						<FIELD indexable="true" name="titleforbrowsing" result="false" stored="false" stat="false" tokenizable="false" xpath="//title" multivalued="false" />
-						<FIELD indexable="true" name="description" result="false" stored="true" stat="false" tokenizable="true" xpath="//abstract" multivalued="false" />
-						<FIELD indexable="true" name="subject" result="false" stored="true" stat="false" tokenizable="false" xpath="//subject"/>
-						<FIELD indexable="true" name="language" result="false" stored="true" stat="false" tokenizable="false" xpath="//language" multivalued="false" />
-						<FIELD indexable="true" name="type" result="false" stored="true" stat="false" tokenizable="false" xpath="//type" multivalued="false"/>
-						<FIELD indexable="true" name="date" result="false" stored="true" stat="false" tokenizable="false" xpath="//date" multivalued="false" />
-						<FIELD indexable="true" name="datetoken" result="false" stat="false" stored="true" tokenizable="true" xpath="//date" multivalued="false" />
-						<FIELD indexable="true" name="affiliation" result="false" stored="true" stat="false" tokenizable="false" xpath="//affiliation"/>
-						<FIELD indexable="true" name="group" result="false" stored="true" stat="false" tokenizable="false" xpath="//affiliation[@type = 'Servizio']/@group"/>
-						<FIELD indexable="true" name="laboratory" result="false" stored="true" stat="false" tokenizable="false" xpath="//affiliation[@type = 'Laboratorio' or @type = 'Centro']/@group"/>
-						<FIELD indexable="true" name="creatorforbrowsing" result="false" stored="false" stat="false" tokenizable="false" xpath="//creator"/>
-						<FIELD indexable="true" name="cnrcreatorforbrowsing" result="false" stored="false" stat="false" tokenizable="false" xpath="//cnrPerson/name"/>
-						<FIELD indexable="true" name="doi" result="false" stat="false" stored="true" tokenizable="false" xpath="//doi"/>
-						<FIELD indexable="true" name="url" result="false" stat="false" stored="true" tokenizable="false" xpath="//url/concat(@rights, '||', @hostedBy, '||', text())"/>
-						<FIELD indexable="true" name="rights" result="false" stat="false" stored="true" tokenizable="false" xpath="//bestRights" multivalued="false" />
-						<FIELD indexable="true" name="projectacronym" result="false" stat="false" stored="true" tokenizable="false" xpath="//project/acronym"/>
-						<FIELD indexable="true" name="projectname" result="false" stat="false" stored="true" tokenizable="false" xpath="//project/concat(./acronym, ' - ', ./name)"/>
-						<FIELD indexable="true" name="projectopenaireid" result="false" stat="false" stored="true" tokenizable="false" xpath="//project/concat(./acronym, '||', ./openaireId)"/>
-						<FIELD indexable="true" name="source" result="false" stored="true" stat="false" tokenizable="true" xpath="//source" multivalued="false" />
-						<FIELD indexable="true" name="labgroupacronym" result="false" stored="true" stat="false" tokenizable="false" xpath="//affiliation[@type = 'Laboratorio' or @type = 'Servizio' or @type = 'Centro']/@groupAcronym"/>
-						<FIELD indexable="true" name="publisher" result="false" stored="true" stat="false" tokenizable="false" xpath="//publisher" multivalued="false" />
-						<FIELD indexable="true" name="collectionacronym" result="false" stat="false" stored="true" tokenizable="false" xpath="//inCollection/acronym"/>
-						<FIELD indexable="true" name="collectioname" result="false" stat="false" stored="true" tokenizable="false" xpath="//inCollection/concat(./acronym, '@@@', ./name)"/>
-					</FIELDS>
-				</LAYOUT>
-			</LAYOUTS>
-		</STATUS>
-	</BODY>
-</RESOURCE_PROFILE>
\ No newline at end of file
+    <HEADER>
+        <RESOURCE_IDENTIFIER value="98d4c3c4-4274-4250-89b5-434195b20ba8_TURGb3JtYXREU1Jlc291cmNlcy9NREZvcm1hdERTUmVzb3VyY2VUeXBl"/>
+        <RESOURCE_TYPE value="MDFormatDSResourceType"/>
+        <RESOURCE_KIND value="MDFormatDSResources"/>
+        <RESOURCE_URI value=""/>
+        <DATE_OF_CREATION value="2020-09-03T09:35:01+02:00"/>
+    </HEADER>
+    <BODY>
+        <CONFIGURATION>
+            <NAME>PMF</NAME>
+            <DESCRIPTION>ISTI Portal Metadata Format</DESCRIPTION>
+            <INTERPRETATION>isti</INTERPRETATION>
+            <SCHEMA uri=""/>
+        </CONFIGURATION>
+        <STATUS>
+            <LAYOUTS>
+                <LAYOUT name="index">
+                    <FIELDS>
+                        <FIELD indexable="true" multivalued="false" name="objidentifier" result="false" stat="false" stored="true" tokenizable="false" xpath="//dri:objIdentifier"/>
+                        <FIELD indexable="true" multivalued="false" name="code" result="false" stat="false" stored="true" tokenizable="false" xpath="//identifier"/>
+                        <FIELD indexable="true" name="creator" result="false" stat="false" stored="true" tokenizable="true" xpath="//creator"/>
+                        <FIELD indexable="true" name="cnrcreator" result="false" stat="false" stored="true" tokenizable="true" xpath="//cnrPerson/name"/>
+                        <FIELD indexable="true" multivalued="false" name="title" result="false" stat="false" stored="true" tokenizable="true" xpath="//title"/>
+                        <FIELD indexable="true" multivalued="false" name="titleforbrowsing" result="false" stat="false" stored="false" tokenizable="false" xpath="//title"/>
+                        <FIELD indexable="true" multivalued="false" name="description" result="false" stat="false" stored="true" tokenizable="true" xpath="//abstract"/>
+                        <FIELD indexable="true" name="subject" result="false" stat="false" stored="true" tokenizable="false" xpath="//subject"/>
+                        <FIELD indexable="true" multivalued="false" name="language" result="false" stat="false" stored="true" tokenizable="false" xpath="//language"/>
+                        <FIELD indexable="true" multivalued="false" name="type" result="false" stat="false" stored="true" tokenizable="false" xpath="//type"/>
+                        <FIELD indexable="true" multivalued="false" name="date" result="false" stat="false" stored="true" tokenizable="false" xpath="//date"/>
+                        <FIELD indexable="true" multivalued="false" name="datetoken" result="false" stat="false" stored="true" tokenizable="true" xpath="//date"/>
+                        <FIELD indexable="true" name="affiliation" result="false" stat="false" stored="true" tokenizable="false" xpath="//affiliation"/>
+                        <FIELD indexable="true" name="group" result="false" stat="false" stored="true" tokenizable="false" xpath="//affiliation[@type = 'Servizio']/@group"/>
+                        <FIELD indexable="true" name="laboratory" result="false" stat="false" stored="true" tokenizable="false" xpath="//affiliation[@type = 'Laboratorio' or @type = 'Centro']/@group"/>
+                        <FIELD indexable="true" name="creatorforbrowsing" result="false" stat="false" stored="false" tokenizable="false" xpath="//creator"/>
+                        <FIELD indexable="true" name="cnrcreatorforbrowsing" result="false" stat="false" stored="false" tokenizable="false" xpath="//cnrPerson/name"/>
+                        <FIELD indexable="true" name="doi" result="false" stat="false" stored="true" tokenizable="false" xpath="//doi"/>
+                        <FIELD indexable="true" name="url" result="false" stat="false" stored="true" tokenizable="false" xpath="//url/concat(@rights, '||', @hostedBy, '||', text())"/>
+                        <FIELD indexable="true" multivalued="false" name="rights" result="false" stat="false" stored="true" tokenizable="false" xpath="//bestRights"/>
+                        <FIELD indexable="true" name="projectacronym" result="false" stat="false" stored="true" tokenizable="false" xpath="//project/acronym"/>
+                        <FIELD indexable="true" name="projectname" result="false" stat="false" stored="true" tokenizable="false" xpath="//project/concat(substring(concat(./acronym,' - ',./name), 1, number(string-length(./acronym) &gt; 0) * string-length(concat(./acronym,' - ',./name))),substring(./name, 1, number(string-length(./acronym) = 0) * string-length(./name)))"/>
+                        <FIELD indexable="true" name="projectopenaireid" result="false" stat="false" stored="true" tokenizable="false" xpath="//project/concat(./acronym, '||', ./openaireId)"/>
+                        <FIELD indexable="true" multivalued="false" name="source" result="false" stat="false" stored="true" tokenizable="true" xpath="//source"/>
+                        <FIELD indexable="true" name="labgroupacronym" result="false" stat="false" stored="true" tokenizable="false" xpath="//affiliation[@type = 'Laboratorio' or @type = 'Servizio' or @type = 'Centro']/@groupAcronym"/>
+                        <FIELD indexable="true" multivalued="false" name="publisher" result="false" stat="false" stored="true" tokenizable="false" xpath="//publisher"/>
+                        <FIELD indexable="true" name="collectionacronym" result="false" stat="false" stored="true" tokenizable="false" xpath="//inCollection/acronym"/>
+                        <FIELD indexable="true" name="collectioname" result="false" stat="false" stored="true" tokenizable="false" xpath="//inCollection/concat(./acronym, ' - ', ./name)"/>
+                    </FIELDS>
+                </LAYOUT>
+            </LAYOUTS>
+        </STATUS>
+    </BODY>
+</RESOURCE_PROFILE>