Index: modules/dnet-isti/trunk/src/main/resources/eu/dnetlib/bootstrap/profiles/RepositoryServiceResources/people.xml
===================================================================
--- modules/dnet-isti/trunk/src/main/resources/eu/dnetlib/bootstrap/profiles/RepositoryServiceResources/people.xml	(revision 61641)
+++ modules/dnet-isti/trunk/src/main/resources/eu/dnetlib/bootstrap/profiles/RepositoryServiceResources/people.xml	(nonexistent)
@@ -1,61 +0,0 @@
-<RESOURCE_PROFILE>
-	<HEADER>
-		<RESOURCE_IDENTIFIER value="807f0d50-2dc9-447d-8914-b91c34cb5841_UmVwb3NpdG9yeVNlcnZpY2VSZXNvdXJjZXMvUmVwb3NpdG9yeVNlcnZpY2VSZXNvdXJjZVR5cGU="/>
-		<RESOURCE_TYPE value="RepositoryServiceResourceType"/>
-		<RESOURCE_KIND value="RepositoryServiceResources"/>
-		<RESOURCE_URI value=""/>
-		<DATE_OF_CREATION value="2015-07-24T09:38:39+00:00"/>
-		<PROTOCOL/>
-	</HEADER>
-	<BODY>
-		<CONFIGURATION>
-			<DATASOURCE_TYPE>pubsrepository::unknown</DATASOURCE_TYPE>
-			<DATASOURCE_ORIGINAL_ID provenance="ISTI">people</DATASOURCE_ORIGINAL_ID>
-			<DATASOURCE_AGGREGATED>false</DATASOURCE_AGGREGATED>
-			<ENVIRONMENTS>
-				<ENVIRONMENT>ISTI</ENVIRONMENT>
-			</ENVIRONMENTS>
-			<TYPOLOGY>UNKNOWN</TYPOLOGY>
-			<MAX_SIZE_OF_DATASTRUCTURE>0</MAX_SIZE_OF_DATASTRUCTURE>
-			<AVAILABLE_DISKSPACE>0</AVAILABLE_DISKSPACE>
-			<MAX_NUMBER_OF_DATASTRUCTURE>0</MAX_NUMBER_OF_DATASTRUCTURE>
-			<OFFICIAL_NAME>ISTI</OFFICIAL_NAME>
-			<ENGLISH_NAME>ISTI - Istituto di Scienza e Tecnologie dell'Informazione</ENGLISH_NAME>
-			<ICON_URI/>
-			<COUNTRY>IT</COUNTRY>
-			<LOCATION>
-				<LONGITUDE>12.51</LONGITUDE>
-				<LATITUDE>41.90</LATITUDE>
-				<TIMEZONE>1.0</TIMEZONE>
-			</LOCATION>
-			<REPOSITORY_WEBPAGE>https://intranet.cnr.it/servizi/people</REPOSITORY_WEBPAGE>
-			<REPOSITORY_INSTITUTION>CNR</REPOSITORY_INSTITUTION>
-			<ADMIN_INFO>stefania.biagioni@isti.cnr.it</ADMIN_INFO>
-			<INTERFACES>
-				<INTERFACE active="true" compliance="isti" contentDescription="metadata" id="api_________::people::0" label="pubsrepository::unknown (driver)" removable="false" typology="pubsrepository::unknown">
-					<ACCESS_PROTOCOL format="oai_dc" set="CDS074">oai</ACCESS_PROTOCOL>
-					<BASE_URL>http://www.cnr.it/oai-pmh/oai2.php</BASE_URL>
-					<INTERFACE_EXTRA_FIELD name="metadata_identifier_path">//*[local-name()='header']/*[local-name()='identifier']</INTERFACE_EXTRA_FIELD>
-				</INTERFACE>
-			</INTERFACES>
-			<EXTRA_FIELDS>
-				<FIELD>
-					<key>NamespacePrefix</key>
-					<value>people______</value>
-				</FIELD>
-			</EXTRA_FIELDS>
-			<REGISTERED_BY/>
-		</CONFIGURATION>
-		<STATUS>
-			<NUMBER_OF_OBJECTS>0</NUMBER_OF_OBJECTS>
-			<LAST_UPDATE value="2015-07-24T09:38:36Z"/>
-		</STATUS>
-		<QOS>
-			<AVAILABILITY>0</AVAILABILITY>
-			<CAPACITY/>
-			<THROUGHPUT>0.0</THROUGHPUT>
-		</QOS>
-		<SECURITY_PARAMETERS/>
-		<BLACKBOARD/>
-	</BODY>
-</RESOURCE_PROFILE>
\ No newline at end of file
Index: modules/dnet-isti/trunk/src/main/resources/eu/dnetlib/bootstrap/profiles/RepositoryServiceResources/people_isti.xml
===================================================================
--- modules/dnet-isti/trunk/src/main/resources/eu/dnetlib/bootstrap/profiles/RepositoryServiceResources/people_isti.xml	(nonexistent)
+++ modules/dnet-isti/trunk/src/main/resources/eu/dnetlib/bootstrap/profiles/RepositoryServiceResources/people_isti.xml	(revision 61642)
@@ -0,0 +1,61 @@
+<RESOURCE_PROFILE>
+	<HEADER>
+		<RESOURCE_IDENTIFIER value="807f0d50-2dc9-447d-8914-b91c34cb5841_UmVwb3NpdG9yeVNlcnZpY2VSZXNvdXJjZXMvUmVwb3NpdG9yeVNlcnZpY2VSZXNvdXJjZVR5cGU="/>
+		<RESOURCE_TYPE value="RepositoryServiceResourceType"/>
+		<RESOURCE_KIND value="RepositoryServiceResources"/>
+		<RESOURCE_URI value=""/>
+		<DATE_OF_CREATION value="2015-07-24T09:38:39+00:00"/>
+		<PROTOCOL/>
+	</HEADER>
+	<BODY>
+		<CONFIGURATION>
+			<DATASOURCE_TYPE>pubsrepository::unknown</DATASOURCE_TYPE>
+			<DATASOURCE_ORIGINAL_ID provenance="ISTI">people</DATASOURCE_ORIGINAL_ID>
+			<DATASOURCE_AGGREGATED>false</DATASOURCE_AGGREGATED>
+			<ENVIRONMENTS>
+				<ENVIRONMENT>ISTI</ENVIRONMENT>
+			</ENVIRONMENTS>
+			<TYPOLOGY>UNKNOWN</TYPOLOGY>
+			<MAX_SIZE_OF_DATASTRUCTURE>0</MAX_SIZE_OF_DATASTRUCTURE>
+			<AVAILABLE_DISKSPACE>0</AVAILABLE_DISKSPACE>
+			<MAX_NUMBER_OF_DATASTRUCTURE>0</MAX_NUMBER_OF_DATASTRUCTURE>
+			<OFFICIAL_NAME>ISTI</OFFICIAL_NAME>
+			<ENGLISH_NAME>ISTI - Istituto di Scienza e Tecnologie dell'Informazione</ENGLISH_NAME>
+			<ICON_URI/>
+			<COUNTRY>IT</COUNTRY>
+			<LOCATION>
+				<LONGITUDE>12.51</LONGITUDE>
+				<LATITUDE>41.90</LATITUDE>
+				<TIMEZONE>1.0</TIMEZONE>
+			</LOCATION>
+			<REPOSITORY_WEBPAGE>https://intranet.cnr.it/servizi/people</REPOSITORY_WEBPAGE>
+			<REPOSITORY_INSTITUTION>CNR</REPOSITORY_INSTITUTION>
+			<ADMIN_INFO>stefania.biagioni@isti.cnr.it</ADMIN_INFO>
+			<INTERFACES>
+				<INTERFACE active="true" compliance="isti" contentDescription="metadata" id="api_________::people::0" label="pubsrepository::unknown (driver)" removable="false" typology="pubsrepository::unknown">
+					<ACCESS_PROTOCOL format="oai_dc" set="CDS074">oai</ACCESS_PROTOCOL>
+					<BASE_URL>http://www.cnr.it/oai-pmh/oai2.php</BASE_URL>
+					<INTERFACE_EXTRA_FIELD name="metadata_identifier_path">//*[local-name()='header']/*[local-name()='identifier']</INTERFACE_EXTRA_FIELD>
+				</INTERFACE>
+			</INTERFACES>
+			<EXTRA_FIELDS>
+				<FIELD>
+					<key>NamespacePrefix</key>
+					<value>people______</value>
+				</FIELD>
+			</EXTRA_FIELDS>
+			<REGISTERED_BY/>
+		</CONFIGURATION>
+		<STATUS>
+			<NUMBER_OF_OBJECTS>0</NUMBER_OF_OBJECTS>
+			<LAST_UPDATE value="2015-07-24T09:38:36Z"/>
+		</STATUS>
+		<QOS>
+			<AVAILABILITY>0</AVAILABILITY>
+			<CAPACITY/>
+			<THROUGHPUT>0.0</THROUGHPUT>
+		</QOS>
+		<SECURITY_PARAMETERS/>
+		<BLACKBOARD/>
+	</BODY>
+</RESOURCE_PROFILE>
\ No newline at end of file
Index: modules/dnet-isti/trunk/src/main/resources/eu/dnetlib/bootstrap/profiles/workflows/aggregation/repo_hi_pubs.xml
===================================================================
--- modules/dnet-isti/trunk/src/main/resources/eu/dnetlib/bootstrap/profiles/workflows/aggregation/repo_hi_pubs.xml	(revision 61641)
+++ modules/dnet-isti/trunk/src/main/resources/eu/dnetlib/bootstrap/profiles/workflows/aggregation/repo_hi_pubs.xml	(revision 61642)
@@ -25,7 +25,7 @@
 					<DESCRIPTION>Verify if DS is pending</DESCRIPTION>
 					<PARAMETERS>
 						<PARAM name="expectedInterfaceTypologyPrefixes" value="pubsrepository::unknown"/>
-						<PARAM name="expectedCompliancePrefixes" value="isti"/>
+						<PARAM name="expectedCompliancePrefixes" value=""/>
 					</PARAMETERS>
 					<ARCS>
 						<ARC to="registerWf"/>
@@ -44,16 +44,16 @@
 				<NODE name="registerWf" type="RegisterWorkflowFromTemplate">
 					<DESCRIPTION>Create Workflow</DESCRIPTION>
 					<PARAMETERS>
-						<PARAM name="wfName" value="Aggregate ISTI publications"/>
+						<PARAM name="wfName" value="Aggregate publications"/>
 						<PARAM name="wfTemplate" value="/eu/dnetlib/isti/workflows/repo-hi/pubs_aggregation_wf.xml.st"/>
-						<PARAM name="description" value="Aggregate ISTI publications"/>
+						<PARAM name="description" value="Aggregate publications"/>
 					</PARAMETERS>
 					<ARCS>
-						<ARC to="createISTINative"/>
-						<ARC to="createISTICleaned"/>
+						<ARC to="createNative"/>
+						<ARC to="createCleaned"/>
 					</ARCS>
 				</NODE>
-				<NODE name="createISTINative" type="CreateMDStore">
+				<NODE name="createNative" type="CreateMDStore">
 					<DESCRIPTION>Create oai_dc store</DESCRIPTION>
 					<PARAMETERS>
 						<PARAM name="format" value="oai_dc"/>
@@ -65,7 +65,7 @@
 						<ARC to="updateParameters"/>
 					</ARCS>
 				</NODE>
-				<NODE name="createISTICleaned" type="CreateMDStore">
+				<NODE name="createCleaned" type="CreateMDStore">
 					<DESCRIPTION>Create oai_dc store</DESCRIPTION>
 					<PARAMETERS>
 						<PARAM name="format" value="PMF"/>